import { Meta } from '@storybook/react-webpack5';
import { ListItem, type ListItemProps } from '../../ListItem';
import { generateVariantsForControl } from './helpers';

export default {
  component: ListItem,
  title: 'Content/ListItem/tests/variants/theme: dark',
  tags: ['!autodocs'],
  parameters: {
    controls: { disable: true },
    actions: { disable: true },
    knobs: { disable: true },
  },
} satisfies Meta<ListItemProps>;

export const Button = generateVariantsForControl('button', 'dark');
export const ButtonAsLink = generateVariantsForControl('buttonAsLink', 'dark');
export const ButtonPartiallyInteractive = generateVariantsForControl('partialButton', 'dark');
export const ButtonAsLinkPartiallyInteractive = generateVariantsForControl(
  'partialButtonAsLink',
  'dark',
);
export const IconButton = generateVariantsForControl('iconButton', 'dark');
export const IconButtonAsLink = generateVariantsForControl('iconButtonAsLink', 'dark');
export const IconButtonWithLabel = generateVariantsForControl('iconButtonWithLabel', 'dark');
export const IconButtonAsLinkWithLabel = generateVariantsForControl(
  'iconButtonAsLinkWithLabel',
  'dark',
);
export const IconButtonPartiallyInteractive = generateVariantsForControl(
  'partialIconButton',
  'dark',
);
export const IconButtonAsLinkPartiallyInteractive = generateVariantsForControl(
  'partialIconButtonAsLink',
  'dark',
);
export const Navigation = generateVariantsForControl('navigation', 'dark');
export const NavigationAsButton = generateVariantsForControl('navigationAsButton', 'dark');
export const Checkbox = generateVariantsForControl('checkbox', 'dark');
export const Radio = generateVariantsForControl('radio', 'dark');
export const Switch = generateVariantsForControl('switch', 'dark');
export const NonInteractive = generateVariantsForControl('non-interactive', 'dark');
